/**
    FitsX11Defs.h - X11 global vars and include files

    Permission to use, copy, modify, distribute this software is hereby
    granted without fee, provided that this Copyright notice appear in all
    copies.  It is provided "as is" without express or implied warranty.

    Author Change Log
    01/21/92	BDS	Created.
**/

#ifndef FITSX11DEFS_H
#define FITSX11DEFS_H

#ifdef  MainStore
#define Glob
#else
#define Glob extern
#endif

#include <X11/Xlib.h>
#include <X11/Xutil.h>
#include <X11/cursorfont.h>

/*
 *  XWindows general display variables
 */
Glob  Display   *display;
Glob  int	screen;
Glob  Visual    *vis;                /* Pointer to the current visual */
Glob  int       dep;                 /* depth of the current visual */
Glob  int       dcms;                /* default colormap size */
Glob  GC        gc;                  /* Graphics context */

Glob Cursor stopwatch_cursor;
Glob Cursor normal_cursor;


#endif
