/**
    FitsColorDefs.h - Color global declarations

    Permission to use, copy, modify, distribute this software is hereby
    granted without fee, provided that this Copyright notice appear in all
    copies.  It is provided "as is" without express or implied warranty.

    Author Change Log
    01/21/92	BDS	Created.
**/

#ifndef FITSCOLORDEFS_H
#define FITSCOLORDEFS_H

#ifdef MainStore
#define Glob
#else
#define Glob extern
#endif

#include "FitsX11Defs.h"

/*
 *  COLOR variable declarations
 */
#define MINCELL 16                   /* leave 16 colors for window manager */

Glob  Colormap  dcm, *icm, *icm2;    /* Default colormap and nstalled cmaps */
Glob  Colormap  mycmap;              /* Local colormap */
Glob  XColor    colors[257];         /* Array for copying colors */
Glob  int	SavedColors[256][3];
Glob  int       numcells;            /* Number of colors in current visual */
Glob  int       CMapCols, CMapRows;  
Glob  int       CMapCellHeight, CMapCellWidth;  
Glob  int       units;
Glob  int       c_range;
Glob  char      c_ramp;
Glob  int       color_offset;
Glob  Bool      truecolor;
Glob  int	ColorFlags;
#endif
