/**
    FitsMenuDefs.h: Menu Variable Definitions

    Permission to use, copy, modify, distribute this software is hereby
    granted without fee, provided that this Copyright notice appear in all
    copies.  It is provided "as is" without express or implied warranty.

    Revisions
    01/21/92	BDS	Created.
**/

#ifndef FITSMENUDEFS_H
#define FITSMENUDEFS_H

#include "FitsMenuConstants.h"
#include "FitsX11Defs.h"

#ifdef  MainStore
#define Glob
#else
#define Glob extern
#endif

typedef struct {
    int   num_lines;
    char  text[10][80];
} menu_t;

Glob menu_t   *menu;
Glob int       cur_menu;
Glob GC	       MenuGC;

#endif
